## node-yarnpkg 4.0.2+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
if(CMAKE_VERSION VERSION_LESS 3.12)
    cmake_policy(VERSION ${CMAKE_VERSION})
else()
    cmake_policy(VERSION 3.5.1...3.13.2)
endif()
message(STATUS "Using CMake version ${CMAKE_VERSION}")

# If not specified on the command line, enable C11 as the default
# Configuration items that affect the global compiler environment standards
# should be issued before the "project" command.
if(NOT CMAKE_C_STANDARD)
    set(CMAKE_C_STANDARD 11)          # The C standard whose features are requested to build this target
endif()
if(NOT CMAKE_C_STANDARD_REQUIRED)
    set(CMAKE_C_STANDARD_REQUIRED ON) # Boolean describing whether the value of C_STANDARD is a requirement
endif()
if(NOT CMAKE_C_EXTENSIONS)
    set(CMAKE_C_EXTENSIONS OFF)       # Boolean specifying whether compiler specific extensions are requested
endif()
set(VALID_C_STANDARDS "99" "11")
if(NOT CMAKE_C_STANDARD IN_LIST VALID_C_STANDARDS)
    MESSAGE(FATAL_ERROR "CMAKE_C_STANDARD:STRING=${CMAKE_C_STANDARD} not in known standards list\n ${VALID_C_STANDARDS}")
endif()

# Parse the full version number from zlib.h and include in ZLIB_FULL_VERSION
file(READ ${CMAKE_CURRENT_SOURCE_DIR}/zlib${SUFFIX}.h.in _zlib_h_contents)
string(REGEX REPLACE ".*#define[ \t]+ZLIB_VERSION[ \t]+\"([0-9]+.[0-9]+.[0-9]+).*\".*"
        "\\1" ZLIB_HEADER_VERSION ${_zlib_h_contents})
string(REGEX REPLACE ".*#define[ \t]+ZLIBNG_VERSION[ \t]+\"([-0-9A-Za-z.]+)\".*"
        "\\1" ZLIBNG_HEADER_VERSION ${_zlib_h_contents})
message(STATUS "ZLIB_HEADER_VERSION: ${ZLIB_HEADER_VERSION}")
message(STATUS "ZLIBNG_HEADER_VERSION: ${ZLIBNG_HEADER_VERSION}")

project(zlib VERSION ${ZLIB_HEADER_VERSION} LANGUAGES C)

include(CheckTypeSize)
include(CheckSymbolExists)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckCSourceCompiles)
include(CheckCSourceRuns)
include(CheckCCompilerFlag)
include(CMakeDependentOption)
include(FeatureSummary)

include(cmake/detect-arch.cmake)
include(cmake/detect-install-dirs.cmake)
include(cmake/detect-coverage.cmake)
include(cmake/detect-intrinsics.cmake)
include(cmake/detect-sanitizer.cmake)
include(cmake/fallback-macros.cmake)

if(CMAKE_TOOLCHAIN_FILE)
    message(STATUS "Using CMake toolchain: ${CMAKE_TOOLCHAIN_FILE}")
endif()

# Make sure we use an appropriate BUILD_TYPE by default, "Release" to be exact
# this should select the maximum generic optimisation on the current platform (i.e. -O3 for gcc/clang)
if(NOT GENERATOR_IS_MULTI_CONFIG)
    if(NOT CMAKE_BUILD_TYPE)
        set(CMAKE_BUILD_TYPE "Release" CACHE STRING
            "Choose the type of build, standard options are: Debug Release RelWithDebInfo MinSizeRel."
            FORCE)
        add_feature_info(CMAKE_BUILD_TYPE 1 "Build type: ${CMAKE_BUILD_TYPE} (default)")
    else()
        add_feature_info(CMAKE_BUILD_TYPE 1 "Build type: ${CMAKE_BUILD_TYPE} (selected)")
    endif()
endif()

#
# Options parsing
#
option(WITH_GZFILEOP "Compile with support for gzFile related functions" ON)
option(ZLIB_COMPAT "Compile with zlib compatible API" OFF)
option(ZLIB_ENABLE_TESTS "Build test binaries" ON)
option(ZLIBNG_ENABLE_TESTS "Test zlib-ng specific API" ON)
option(WITH_GTEST "Build gtest_zlib" ON)
option(WITH_FUZZERS "Build test/fuzz" OFF)
option(WITH_BENCHMARKS "Build test/benchmarks" OFF)
option(WITH_BENCHMARK_APPS "Build application benchmarks" OFF)
option(WITH_OPTIM "Build with optimisation" ON)
option(WITH_REDUCED_MEM "Reduced memory usage for special cases (reduces performance)" OFF)
option(WITH_NEW_STRATEGIES "Use new strategies" ON)
option(WITH_NATIVE_INSTRUCTIONS
    "Instruct the compiler to use the full instruction set on this host (gcc/clang -march=native)" OFF)
option(WITH_MAINTAINER_WARNINGS "Build with project maintainer warnings" OFF)
option(WITH_CODE_COVERAGE "Enable code coverage reporting" OFF)
option(WITH_INFLATE_STRICT "Build with strict inflate distance checking" OFF)
option(WITH_INFLATE_ALLOW_INVALID_DIST "Build with zero fill for inflate invalid distances" OFF)
option(WITH_UNALIGNED "Support unaligned reads on platforms that support it" ON)

set(ZLIB_SYMBOL_PREFIX "" CACHE STRING "Give this prefix to all publicly exported symbols.
Useful when embedding into a larger library.
Default is no prefix (empty prefix).")

# Add multi-choice option
set(WITH_SANITIZER AUTO CACHE STRING "Enable sanitizer support")
set_property(CACHE WITH_SANITIZER PROPERTY STRINGS "Memory" "Address" "Undefined" "Thread")

if(BASEARCH_ARM_FOUND)
    option(WITH_ACLE "Build with ACLE" ON)
    option(WITH_NEON "Build with NEON intrinsics" ON)
elseif(BASEARCH_PPC_FOUND)
    option(WITH_ALTIVEC "Build with AltiVec (VMX) optimisations for PowerPC" ON)
    option(WITH_POWER8 "Build with optimisations for POWER8" ON)
    option(WITH_POWER9 "Build with optimisations for POWER9" ON)
elseif(BASEARCH_RISCV_FOUND)
    option(WITH_RVV "Build with RVV intrinsics" ON)
elseif(BASEARCH_S360_FOUND)
    option(WITH_DFLTCC_DEFLATE "Build with DFLTCC intrinsics for compression on IBM Z" OFF)
    option(WITH_DFLTCC_INFLATE "Build with DFLTCC intrinsics for decompression on IBM Z" OFF)
    option(WITH_CRC32_VX "Build with vectorized CRC32 on IBM Z" ON)
elseif(BASEARCH_X86_FOUND)
    option(WITH_AVX2 "Build with AVX2" ON)
    option(WITH_AVX512 "Build with AVX512" ON)
    option(WITH_AVX512VNNI "Build with AVX512 VNNI extensions" ON)
    option(WITH_SSE2 "Build with SSE2" ON)
    option(WITH_SSSE3 "Build with SSSE3" ON)
    option(WITH_SSE42 "Build with SSE42" ON)
    option(WITH_PCLMULQDQ "Build with PCLMULQDQ" ON)
    option(WITH_VPCLMULQDQ "Build with VPCLMULQDQ" ON)
endif()

option(INSTALL_UTILS "Copy minigzip and minideflate during install" OFF)

mark_as_advanced(FORCE
    ZLIB_SYMBOL_PREFIX
    WITH_REDUCED_MEM
    WITH_ACLE WITH_NEON
    WITH_DFLTCC_DEFLATE
    WITH_DFLTCC_INFLATE
    WITH_CRC32_VX
    WITH_AVX2 WITH_SSE2
    WITH_SSSE3 WITH_SSE42
    WITH_PCLMULQDQ
    WITH_ALTIVEC
    WITH_POWER8
    WITH_POWER9
    WITH_RVV
    WITH_INFLATE_STRICT
    WITH_INFLATE_ALLOW_INVALID_DIST
    WITH_UNALIGNED
    INSTALL_UTILS
    )

if(ZLIB_COMPAT)
    add_definitions(-DZLIB_COMPAT)
    set(WITH_GZFILEOP ON)
    set(SUFFIX "")
    set(ZLIB_FULL_VERSION ${ZLIB_HEADER_VERSION}.zlib-ng)
else()
    set(SUFFIX "-ng")
    set(ZLIB_FULL_VERSION ${ZLIBNG_HEADER_VERSION})
endif()

if(WITH_GZFILEOP)
    add_definitions(-DWITH_GZFILEOP)
endif()

if(CMAKE_C_COMPILER_ID MATCHES "^Intel")
    if(CMAKE_HOST_UNIX)
        set(WARNFLAGS -Wall)
        set(WARNFLAGS_MAINTAINER -Wall -Wcheck -Wremarks)
        set(WARNFLAGS_DISABLE)
    else()
        set(WARNFLAGS /Wall)
        set(WARNFLAGS_MAINTAINER /W5)
        set(WARNFLAGS_DISABLE)
    endif()
    if(WITH_NATIVE_INSTRUCTIONS)
        message(STATUS "Ignoring WITH_NATIVE_INSTRUCTIONS; not supported on this configuration")
        set(WITH_NATIVE_INSTRUCTIONS OFF)
    endif()
elseif(MSVC)
    # Minimum supported MSVC version is 1800 = Visual Studio 12.0/2013
    # See also https://cmake.org/cmake/help/latest/variable/MSVC_VERSION.html
    if(MSVC_VERSION VERSION_LESS 1800)
        message(SEND_ERROR "Unsupported Visual Studio compiler version (requires 2013 or later).")
    endif()
    # TODO. ICC can be used through MSVC. I'm not sure if we'd ever see that combination
    # (who'd use cmake from an IDE...) but checking for ICC before checking for MSVC should
    # avoid mistakes.
    # /Oi ?
    set(WARNFLAGS /W3)
    set(WARNFLAGS_MAINTAINER /W4)
    set(WARNFLAGS_DISABLE)
    if(BASEARCH_ARM_FOUND)
        add_definitions(-D_ARM_WINAPI_PARTITION_DESKTOP_SDK_AVAILABLE)
        if(NOT "${ARCH}" MATCHES "aarch64")
            set(NEONFLAG "/arch:VFPv4")
        endif()
        endif()
    if(WITH_NATIVE_INSTRUCTIONS)
        message(STATUS "Ignoring WITH_NATIVE_INSTRUCTIONS; not supported on this configuration")
        set(WITH_NATIVE_INSTRUCTIONS OFF)
    endif()
elseif(CMAKE_C_COMPILER_ID MATCHES "GNU" OR CMAKE_C_COMPILER_ID MATCHES "Clang")
    # Enable warnings in GCC and Clang
    set(WARNFLAGS -Wall)
    set(WARNFLAGS_MAINTAINER -Wextra)
    set(WARNFLAGS_DISABLE)
    if(WITH_NATIVE_INSTRUCTIONS)
        if(BASEARCH_PPC_FOUND)
            set(NATIVEFLAG "-mcpu=native")
        else()
            set(NATIVEFLAG "-march=native")
        endif()
    else()
        if(BASEARCH_ARM_FOUND)
            if("${ARCH}" MATCHES "arm" AND NOT CMAKE_C_FLAGS MATCHES "-mfloat-abi")
                # Auto-detect support for ARM floating point ABI
                set(CMAKE_REQUIRED_FLAGS -mfloat-abi=softfp)
                check_c_source_compiles(
                    "#include <features.h>
                    int main() { return 0; }"
                    HAVE_FLOATABI_SOFTFP)
                if(HAVE_FLOATABI_SOFTFP)
                    set(FLOATABI -mfloat-abi=softfp)
                else()
                    set(CMAKE_REQUIRED_FLAGS -mfloat-abi=hard)
                    check_c_source_compiles(
                        "#include <features.h>
                        int main() { return 0; }"
                        HAVE_FLOATABI_HARD)
                    if(HAVE_FLOATABI_HARD)
                        set(FLOATABI -mfloat-abi=hard)
                    endif()
                endif()
                set(CMAKE_REQUIRED_FLAGS)
                if(FLOATABI)
                    message(STATUS "ARM floating point arch: ${FLOATABI}")
                    add_compile_options(${FLOATABI})
                else()
                    message(STATUS "ARM floating point arch not auto-detected")
                endif()
            endif()
        endif()
        # Check whether -fno-lto is available
        set(CMAKE_REQUIRED_FLAGS "-fno-lto")
        check_c_source_compiles(
            "int main() { return 0; }"
            FNO_LTO_AVAILABLE FAIL_REGEX "not supported")
        set(CMAKE_REQUIRED_FLAGS)
        if(FNO_LTO_AVAILABLE)
            set(NOLTOFLAG "-fno-lto")
        endif()
    endif()
    if(MINGW)
        list(APPEND WARNFLAGS_DISABLE -Wno-pedantic-ms-format)
    endif()
else()
    if(WITH_NATIVE_INSTRUCTIONS)
        message(STATUS "Ignoring WITH_NATIVE_INSTRUCTIONS; not implemented yet on this configuration")
        set(WITH_NATIVE_INSTRUCTIONS OFF)
    endif()
endif()

# Disable LTO
if(NOT WITH_NATIVE_INSTRUCTIONS)
    set(CMAKE_INTERPROCEDURAL_OPTIMIZATION OFF)
    foreach(_cfg_name IN LISTS CMAKE_CONFIGURATION_TYPES)
        string(TOUPPER "${_cfg_name}" _cfg_name_uc)
        set(CMAKE_INTERPROCEDURAL_OPTIMIZATION_${_cfg_name_uc} OFF)
    endforeach()
endif()

# Set architecture alignment requirements
if(NOT WITH_UNALIGNED)
    add_definitions(-DNO_UNALIGNED)
    message(STATUS "Unaligned reads manually disabled")
endif()

# Apply warning compiler flags
if(WITH_MAINTAINER_WARNINGS)
    add_compile_options(${WARNFLAGS} ${WARNFLAGS_MAINTAINER} ${WARNFLAGS_DISABLE})
else()
    add_compile_options(${WARNFLAGS} ${WARNFLAGS_DISABLE})
endif()

# Set code coverage compiler flags
if(WITH_CODE_COVERAGE)
    add_code_coverage()
endif()

# Replace optimization level 3 added by default with level 2
if(NOT WITH_CODE_COVERAGE AND NOT MSVC AND NOT CMAKE_C_FLAGS MATCHES "([\\/\\-]O)3")
    string(REGEX REPLACE "([\\/\\-]O)3" "\\12"
        CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE}")
endif()

# Set native instruction set compiler flag
if(WITH_NATIVE_INSTRUCTIONS AND DEFINED NATIVEFLAG)
    # Apply flag to all source files and compilation checks
    add_compile_options(${NATIVEFLAG})
endif()

#
# Check for standard/system includes
#
check_include_file(sys/auxv.h  HAVE_SYS_AUXV_H)
if(HAVE_SYS_AUXV_H)
    add_definitions(-DHAVE_SYS_AUXV_H)
endif()
check_include_file(sys/sdt.h   HAVE_SYS_SDT_H)
if(HAVE_SYS_SDT_H)
    add_definitions(-DHAVE_SYS_SDT_H)
endif()
check_include_file(unistd.h    HAVE_UNISTD_H)

#
# Check to see if we have large file support
#
set(CMAKE_REQUIRED_DEFINITIONS -D_LARGEFILE64_SOURCE=1 -D__USE_LARGEFILE64)
check_type_size(off64_t OFF64_T)
if(HAVE_OFF64_T)

=== Makefile ===
CC=emcc

all: clean dir wasm asm

wasm:
	$(CC) yoga/yoga/*.cpp yoga/yoga/**/*.cpp yoga/javascript/src_native/*.cc \
		--bind \
		-Iyoga \
		-g0 \
		-O3 \
		-flto \
		-std=c++14 \
		-fno-exceptions \
		-fno-rtti \
		-DEMSCRIPTEN_HAS_UNBOUND_TYPE_NAMES=0 \
		--closure 1 \
		-s WASM=1 \
		-s WASM_ASYNC_COMPILATION=1 \
		-s USE_CLOSURE_COMPILER=1 \
		-s USE_ES6_IMPORT_META=0 \
		-s ASSERTIONS=0 \
		-s ALLOW_MEMORY_GROWTH=1 \
		-s MODULARIZE=1 \
		-s DYNAMIC_EXECUTION=0 \
		-s TEXTDECODER=0 \
		-s ENVIRONMENT='web' \
		-s FETCH_SUPPORT_INDEXEDDB=0 \
		-s FILESYSTEM=0 \
		-s MALLOC="emmalloc" \
		-s INCOMING_MODULE_JS_API=['instantiateWasm']\
		-s EXPORT_NAME="yoga" \
		-o tmp/yoga.mjs

asm:
	$(CC) yoga/yoga/*.cpp yoga/yoga/**/*.cpp yoga/javascript/src_native/*.cc \
		--bind \
		-Iyoga \
		-g0 \
		-Os \
		-flto \
		-std=c++14 \
		-fno-exceptions \
		-fno-rtti \
		-DEMSCRIPTEN_HAS_UNBOUND_TYPE_NAMES=0 \
		--closure 1 \
		--memory-init-file 0 \
		-s WASM=0 \
		-s WASM_ASYNC_COMPILATION=0 \
		-s USE_CLOSURE_COMPILER=1 \
		-s USE_ES6_IMPORT_META=0 \
		-s ASSERTIONS=0 \
		-s ALLOW_MEMORY_GROWTH=1 \
		-s MODULARIZE=1 \
		-s DYNAMIC_EXECUTION=0 \
		-s TEXTDECODER=0 \
		-s ENVIRONMENT='web' \
		-s FETCH_SUPPORT_INDEXEDDB=0 \
		-s FILESYSTEM=0 \
		-s MALLOC="emmalloc" \
		-s EXPORT_NAME="yoga" \
		-o tmp/yoga-asm.mjs

clean:
	rm -rf tmp 

dir:
	mkdir -p tmp

=== yoga/CMakeLists.txt ===
# Copyright (c) Meta Platforms, Inc. and affiliates.
#
# This source code is licensed under the MIT license found in the
# LICENSE file in the root directory of this source tree.


cmake_minimum_required(VERSION 3.13)
project(yogacore)
set(CMAKE_VERBOSE_MAKEFILE on)

if(TARGET yogacore)
    return()
endif()

include(CheckIPOSupported)

set(YOGA_ROOT ${CMAKE_CURRENT_SOURCE_DIR}/..)
include(${YOGA_ROOT}/cmake/project-defaults.cmake)


file(GLOB SOURCES CONFIGURE_DEPENDS
    ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/**/*.cpp)

add_library(yogacore STATIC ${SOURCES})

# Yoga conditionally uses <android/log> when building for Android
if (ANDROID)
    target_link_libraries(yogacore log)
endif()

check_ipo_supported(RESULT result)
if(result)
  set_target_properties(yogacore PROPERTIES
    CMAKE_INTERPROCEDURAL_OPTIMIZATION true)
endif()

target_include_directories(yogacore
    PUBLIC
    $<BUILD_INTERFACE:${YOGA_ROOT}>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_PREFIX}/include/yoga>)

## node-yarnpkg 1.13.0

=== debian/changelog ===
node-yarnpkg (1.13.0-1+deb10u1) buster; urgency=medium

  * Team upload
  * Add patch to force using https for the regular registries
    (Closes: #941354, CVE-2019-5448)

 -- Xavier Guimard <yadd@debian.org>  Thu, 03 Oct 2019 18:23:54 +0200

node-yarnpkg (1.13.0-1) unstable; urgency=low

  * Initial release (Closes: #843021)

 -- Paolo Greppi <paolo.greppi@libpf.com>  Sat, 26 Jan 2019 08:49:57 +0100

=== debian/control ===
Source: node-yarnpkg
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Paolo Greppi <paolo.greppi@libpf.com>
Section: javascript
Priority: optional
Build-Depends:
 debhelper (>= 11)
 , node-marked-man
 , nodejs
 , node-babel-core
 , node-babel-eslint
 , node-babel-loader
 , node-babel-plugin-array-includes
 , node-babel-plugin-transform-builtin-extend
 , node-babel-plugin-transform-runtime
 , node-babel-preset-env
 , node-babel-preset-flow
 , node-babel-preset-stage-0
 , node-babylon
 , node-browserify-zlib
 , node-builtin-modules
 , node-execa (>= 0.10.0)
 , node-fancy-log
 , gulp
 , node-gulp-babel
 , node-gulp-newer
 , node-gulp-plumber
 , node-gulp-sourcemaps
 , node-gulp-util
 , node-minimatch (>= 3.0.4)
 , node-pumpify
 , node-temp (>= 0.8.3)
 , node-through2 (>= 2.0.3)
 , webpack
 , node-yargs
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/js-team/node-yarnpkg
Vcs-Git: https://salsa.debian.org/js-team/node-yarnpkg.git
Homepage: https://github.com/yarnpkg/yarn#readme

Package: yarnpkg
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-asap
 , node-babel-runtime (>= 6.26.0)
 , node-bytes (>= 3.0.0)
 , node-camelcase (>= 4.0.0)
 , node-chalk (>= 2.1.0)
 , node-chownr
 , node-ci-info
 , node-cli-table
 , node-commander (>= 2.9.0)
 , node-death
 , node-debug (>= 3.0.0)
 , node-deep-equal
 , node-detect-indent
 , node-duplexify
 , node-glob (>= 7.1.1)
 , node-imports-loader
 , node-ini (>= 1.3.4)
 , node-inquirer (>= 3.3.0)
 , node-invariant
 , node-is-builtin-module (>= 2.0.0)
 , node-fast-levenshtein
 , node-loud-rejection
 , node-micromatch
 , node-minimatch (>= 2.3.11)
 , node-mkdirp (>= 0.5.1)
 , node-emoji (>= 1.6.1)
 , node-object-path
 , node-proper-lockfile
 , node-puka
 , node-pump
 , node-pumpify
 , node-read (>= 1.0.7)
 , node-request (>= 2.87.0)
 , node-request-capture-har (>= 1.2.2)
 , node-resolve
 , node-rimraf (>= 2.5.0)
 , node-semver (>= 5.1.0)
 , node-ssri
 , node-strip-ansi (>= 4.0.0)
 , node-strip-bom
 , node-tar-stream
 , node-node-uuid (>= 3.0.1)
 , node-validate-npm-package-license
 , node-yn
Description: Fast, reliable and secure npm alternative
 Fast: Yarnpkg caches every package it has downloaded, so it never
 needs to download the same package again. It also does almost
 everything concurrently to maximize resource utilization.
 This means even faster installs.
 .
 Reliable: Using a detailed but concise lockfile format and a
 deterministic algorithm for install operations, Yarnpkg is able
 to guarantee that any installation that works on one system will
 work exactly the same on another system.
 .
 Secure: Yarnpkg uses checksums to verify the integrity of every
 installed package before its code is executed.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	marked-man --version v1.13.0 --section 1 --manual 'yarnpkg man page' --date="$(shell dpkg-parsechangelog --show-field=Date)" debian/yarnpkg.md > debian/yarnpkg.1
	mkdir -p node_modules
	ln -sf ../babel-plugin-transform-inline-imports-commonjs node_modules/babel-plugin-transform-inline-imports-commonjs
	gulp build
	node ./scripts/build-webpack.js
	dh_auto_build
	rm -rf node_modules

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/yarnpkg/usr/lib/nodejs/yarn/bin/yarn.js

override_dh_clean:
	dh_clean
	rm -rf node_modules
	rm -f debian/yarnpkg.1
	rm -rf debian/lib
	rm -rf artifacts/ packages/lockfile/index.js

#override_dh_auto_test:

=== debian/tests/control ===
Tests: yarn
Depends: yarnpkg
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-yarn-$1.tar.gz/ \
 https://github.com/yarnpkg/yarn/tags .*/archive/v?([\d\.]+).tar.gz

opts="searchmode=plain,pgpmode=none,component=babel-plugin-transform-inline-imports-commonjs" \
 https://registry.npmjs.org/babel-plugin-transform-inline-imports-commonjs \
 https://registry.npmjs.org/babel-plugin-transform-inline-imports-commonjs/-/babel-plugin-transform-inline-imports-commonjs-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=decode-uri-component" \
 https://registry.npmjs.org/decode-uri-component \
 https://registry.npmjs.org/decode-uri-component/-/decode-uri-component-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=dnscache" \
 https://registry.npmjs.org/dnscache \
 https://registry.npmjs.org/dnscache/-/dnscache-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=gunzip-maybe" \
 https://registry.npmjs.org/gunzip-maybe \
 https://registry.npmjs.org/gunzip-maybe/-/gunzip-maybe-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=hash-for-dep" \
 https://registry.npmjs.org/hash-for-dep \
 https://registry.npmjs.org/hash-for-dep/-/hash-for-dep-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=is-deflate" \
 https://registry.npmjs.org/is-deflate \
 https://registry.npmjs.org/is-deflate/-/is-deflate-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=is-gzip" \
 https://registry.npmjs.org/is-gzip \
 https://registry.npmjs.org/is-gzip/-/is-gzip-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=normalize-url" \
 https://registry.npmjs.org/normalize-url \
 https://registry.npmjs.org/normalize-url/-/normalize-url-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=npm-logical-tree" \
 https://registry.npmjs.org/npm-logical-tree \
 https://registry.npmjs.org/npm-logical-tree/-/npm-logical-tree-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=peek-stream" \
 https://registry.npmjs.org/peek-stream \
 https://registry.npmjs.org/peek-stream/-/peek-stream-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=query-string" \
 https://registry.npmjs.org/query-string \
 https://registry.npmjs.org/query-string/-/query-string-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=strict-uri-encode" \
 https://registry.npmjs.org/strict-uri-encode \
 https://registry.npmjs.org/strict-uri-encode/-/strict-uri-encode-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=tar-fs" \
 https://registry.npmjs.org/tar-fs \
 https://registry.npmjs.org/tar-fs/-/tar-fs-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="searchmode=plain,pgpmode=none,component=v8-compile-cache" \
 https://registry.npmjs.org/v8-compile-cache \

## node-yarnpkg 1.19.1

=== debian/changelog ===
node-yarnpkg (1.19.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Sat, 16 Nov 2019 17:59:58 +0530

node-yarnpkg (1.19.1-1) unstable; urgency=medium

  * New upstream version
  * Update embedded dependencies:
    - dnscache 1.0.1 -> 1.0.2
    - hash-for-dep 1.2.3 -> 1.5.1
    - normalize-url 4.1.0 -> 4.5.0
    - query-string 6.2.0 -> 6.8.3
    - tar-fs 1.16.3 -> 2.0.0
    - v8-compile-cache 2.0.2 -> 2.1.0
  * New embedded build dependency string-replace-loader
  * New embedded run-time dependency resolve-package-path
  * Remove force-https patch because it is now included upstream
  * Bump standard version
  * Bump debhelper compat
  * Remove debian/compat and replace debhelper by debhelper-compat

 -- Paolo Greppi <paolo.greppi@libpf.com>  Fri, 25 Oct 2019 08:24:36 +0200

node-yarnpkg (1.13.0-3) unstable; urgency=medium

  * Forces using https for the regular registries (Closes: #941354)

 -- Paolo Greppi <paolo.greppi@libpf.com>  Sun, 29 Sep 2019 14:07:45 +0200

node-yarnpkg (1.13.0-2) unstable; urgency=medium

  * De-embed strict-uri-encode component which is now available as a package
  * Use pkg-info.mk to get SOURCE_DATE_EPOCH to pass to marked-man
  * Install files in /usr/share/nodejs rather than /usr/lib/nodejs and so fix
    lintian W nodejs-module-installed-in-usr-lib

 -- Paolo Greppi <paolo.greppi@libpf.com>  Mon, 16 Sep 2019 20:05:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: javascript
 Priority: optional
 Build-Depends:
- debhelper (>= 11)
+ debhelper-compat (= 12)
  , node-marked-man
  , nodejs
  , node-babel-core
@@ -27,13 +27,15 @@
  , node-gulp-plumber
  , node-gulp-sourcemaps
  , node-gulp-util
+ , node-loader-utils
  , node-minimatch (>= 3.0.4)
  , node-pumpify
+ , node-schema-utils (>= 1.0.0)
  , node-temp (>= 0.8.3)
  , node-through2 (>= 2.0.3)
  , webpack
  , node-yargs
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-yarnpkg
 Vcs-Git: https://salsa.debian.org/js-team/node-yarnpkg.git
 Homepage: https://github.com/yarnpkg/yarn#readme
@@ -64,12 +66,14 @@
  , node-invariant
  , node-is-builtin-module (>= 2.0.0)
  , node-fast-levenshtein
+ , node-js-yaml (>= 3.13.1)
  , node-loud-rejection
  , node-micromatch
  , node-minimatch (>= 2.3.11)
  , node-mkdirp (>= 0.5.1)
  , node-emoji (>= 1.6.1)
  , node-object-path
+ , node-path-root (>= 0.1.1)
  , node-proper-lockfile
  , node-puka
  , node-pump
@@ -81,6 +85,7 @@
  , node-rimraf (>= 2.5.0)
  , node-semver (>= 5.1.0)
  , node-ssri
+ , node-strict-uri-encode
  , node-strip-ansi (>= 4.0.0)
  , node-strip-bom
  , node-tar-stream

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_build:
	marked-man --version v1.19.0 --section 1 --manual 'yarnpkg man page' --date="$(SOURCE_DATE_EPOCH)" debian/yarnpkg.md > debian/yarnpkg.1
	mkdir -p node_modules
	ln -sf ../babel-plugin-transform-inline-imports-commonjs node_modules/babel-plugin-transform-inline-imports-commonjs
	ln -sf ../string-replace-loader node_modules/string-replace-loader
	gulp build
	node ./scripts/build-webpack.js
	dh_auto_build
	rm -rf node_modules

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/yarnpkg/usr/share/nodejs/yarn/bin/yarn.js

override_dh_clean:
	dh_clean
	rm -rf node_modules
	rm -f debian/yarnpkg.1
	rm -rf debian/lib
	rm -rf artifacts/ packages/lockfile/index.js

#override_dh_auto_test:

=== debian/tests/control ===
Tests: yarn
Depends: yarnpkg, ca-certificates
Restrictions: allow-stderr

=== debian/watch ===
--- 
+++ 
@@ -49,13 +49,12 @@
  https://registry.npmjs.org/query-string \
  https://registry.npmjs.org/query-string/-/query-string-(\d[\d\.]*)@ARCHIVE_EXT@ ignore
 
-opts="searchmode=plain,pgpmode=none,component=strict-uri-encode" \
- https://registry.npmjs.org/strict-uri-encode \
- https://registry.npmjs.org/strict-uri-encode/-/strict-uri-encode-(\d[\d\.]*)@ARCHIVE_EXT@ ignore
+opts="searchmode=plain,pgpmode=none,component=resolve-package-path" \
+ https://registry.npmjs.org/resolve-package-path \
+ https://registry.npmjs.org/resolve-package-path/-/resolve-package-path-(\d[\d\.]*)@ARCHIVE_EXT@ ignore
+
+opts="searchmode=plain,pgpmode=none,component=string-replace-loader" \
+ https://registry.npmjs.org/string-replace-loader \
+ https://registry.npmjs.org/string-replace-loader/-/string-replace-loader-(\d[\d\.]*)@ARCHIVE_EXT@ ignore
 
 opts="searchmode=plain,pgpmode=none,component=tar-fs" \
- https://registry.npmjs.org/tar-fs \
- https://registry.npmjs.org/tar-fs/-/tar-fs-(\d[\d\.]*)@ARCHIVE_EXT@ ignore
-
-opts="searchmode=plain,pgpmode=none,component=v8-compile-cache" \
- https://registry.npmjs.org/v8-compile-cache \

## node-yarnpkg 1.22.4

=== debian/changelog ===
node-yarnpkg (1.22.4-2) unstable; urgency=medium

  * Team upload
  * Back to unstable
  * Add dependency to ca-certificates (Closes: #952656)
  * Provide node-yarn

 -- Xavier Guimard <yadd@debian.org>  Thu, 02 Apr 2020 10:36:45 +0200

node-yarnpkg (1.22.4-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.22.4 (Closes: #952912, CVE-2020-8131)
  * Refresh patches
  * Embed component: mkdirp-classic
  * New upstream version 1.22.4
  * Use pkg-js-tools auto install

 -- Xavier Guimard <yadd@debian.org>  Mon, 30 Mar 2020 14:59:58 +0200

node-yarnpkg (1.21.1-2) unstable; urgency=medium

  * Team upload
  * Back to unstable
  * Add "Rules-Requires-Root: no"
  * Add Bug-Submit field in metadata
  * Remove outdated fields from metadata
  * Declare compliance with policy 4.5.0
  * Update lintian overrides
  * Fix HOME for autopkgtest

 -- Xavier Guimard <yadd@debian.org>  Mon, 30 Mar 2020 12:12:55 +0200

node-yarnpkg (1.21.1-2~exp1) experimental; urgency=medium

  * Fix unreasonably timestamped files from some upstream tarballs.
    Closes: #947074.
  * Require node-vinyl-fs version compatible with node-glob-stream 6.
  * Switch to gulp 4.

 -- Paolo Greppi <paolo.greppi@libpf.com>  Mon, 23 Dec 2019 09:54:18 +0100

node-yarnpkg (1.21.1-1) unstable; urgency=medium

  * New upstream version
  * Builds fine with webpack 4.7.0. Closes: #933498.
  * Repack sources with xzip

 -- Paolo Greppi <paolo.greppi@libpf.com>  Tue, 17 Dec 2019 14:28:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 12)
- , node-marked-man
- , nodejs
+ , gulp (>= 4)
  , node-babel-core
  , node-babel-eslint
  , node-babel-loader
@@ -21,30 +20,34 @@
  , node-builtin-modules
  , node-execa (>= 0.10.0)
  , node-fancy-log
- , gulp
  , node-gulp-babel
  , node-gulp-newer
  , node-gulp-plumber
  , node-gulp-sourcemaps
  , node-gulp-util
  , node-loader-utils
+ , node-marked-man
  , node-minimatch (>= 3.0.4)
  , node-pumpify
  , node-schema-utils (>= 1.0.0)
  , node-temp (>= 0.8.3)
  , node-through2 (>= 2.0.3)
+ , node-vinyl-fs (>= 3)
+ , node-yargs
+ , pkg-js-tools (>= 0.9.20~)
  , webpack
- , node-yargs
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-yarnpkg
 Vcs-Git: https://salsa.debian.org/js-team/node-yarnpkg.git
-Homepage: https://github.com/yarnpkg/yarn#readme
+Homepage: https://github.com/yarnpkg/yarn
+Rules-Requires-Root: no
 
 Package: yarnpkg
 Architecture: all
+Provides: node-yarn
 Depends:
  ${misc:Depends}
- , nodejs
+ , ca-certificates
  , node-asap
  , node-babel-runtime (>= 6.26.0)
  , node-bytes (>= 3.0.0)
@@ -59,21 +62,22 @@
  , node-deep-equal
  , node-detect-indent
  , node-duplexify
+ , node-emoji (>= 1.6.1)
+ , node-fast-levenshtein
  , node-glob (>= 7.1.1)
  , node-imports-loader
  , node-ini (>= 1.3.4)
  , node-inquirer (>= 3.3.0)
  , node-invariant
  , node-is-builtin-module (>= 2.0.0)
- , node-fast-levenshtein
  , node-js-yaml (>= 3.13.1)
  , node-loud-rejection
  , node-micromatch
  , node-minimatch (>= 2.3.11)
  , node-mkdirp (>= 0.5.1)
- , node-emoji (>= 1.6.1)
+ , node-node-uuid (>= 3.0.1)
  , node-object-path
- , node-path-root (>= 0.1.1)
+ , node-path-root
  , node-proper-lockfile
  , node-puka
  , node-pump
@@ -89,9 +93,9 @@
  , node-strip-ansi (>= 4.0.0)
  , node-strip-bom
  , node-tar-stream
- , node-node-uuid (>= 3.0.1)
  , node-validate-npm-package-license
  , node-yn
+ , nodejs
 Description: Fast, reliable and secure npm alternative
  Fast: Yarnpkg caches every package it has downloaded, so it never
  needs to download the same package again. It also does almost

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with nodejs

override_dh_auto_build:
	find dnscache/ -print0 | xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
	find hash-for-dep/ -print0 | xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
	find normalize-url/ -print0 | xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
	find npm-logical-tree/ -print0 | xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
	find query-string/ -print0 | xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
	find resolve-package-path/ -print0 | xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
	find string-replace-loader/ -print0 | xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
	find tar-fs/ -print0 | xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
	find v8-compile-cache/ -print0 | xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
	marked-man --version v1.19.0 --section 1 --manual 'yarnpkg man page' --date="$(SOURCE_DATE_EPOCH)" debian/yarnpkg.md > debian/yarnpkg.1
	gulp build
	node ./scripts/build-webpack.js
	dh_auto_build --buildsystem=nodejs
	rm -rf node_modules

override_dh_fixperms:
	dh_fixperms
	chmod +x debian/yarnpkg/usr/share/nodejs/yarn/bin/yarn.js

override_dh_auto_test:
	# No tests during build

=== debian/tests/control ===
Tests: yarn
Depends: @
Restrictions: allow-stderr

## node-yarnpkg 1.22.10%2B~cs22.25.14

=== debian/changelog ===
node-yarnpkg (1.22.10+~cs22.25.14-8) unstable; urgency=medium

  * Team upload
  * Fix autopkgtest using socat

 -- Yadd <yadd@debian.org>  Sun, 06 Feb 2022 15:28:07 +0100

node-yarnpkg (1.22.10+~cs22.25.14-7) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Sun, 06 Feb 2022 15:02:21 +0100

node-yarnpkg (1.22.10+~cs22.25.14-6) experimental; urgency=medium

  * Team upload
  * Add fix for node-commander ≥ 7

 -- Yadd <yadd@debian.org>  Mon, 03 Jan 2022 12:19:19 +0100

node-yarnpkg (1.22.10+~cs22.25.14-5) unstable; urgency=medium

  * Team upload
  * Fix filenamemangle
  * Update nodejs dependency to nodejs:any
  * Add yarnpkg --version test (#1001532)
  * Add fix for node-js-yaml ≥ 4

 -- Yadd <yadd@debian.org>  Thu, 16 Dec 2021 11:05:43 +0100

node-yarnpkg (1.22.10+~cs22.25.14-4) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Add dependency to node-through2 required by gunzip-maybe
  * Declare compliance with policy 4.6.0
  * Refresh patches
  * Drop unneeded (build-)dependency version constraints
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 06 Oct 2021 11:03:46 +0200

node-yarnpkg (1.22.10+~cs22.25.14-3) unstable; urgency=medium

  * Team upload

  [ Paolo Greppi ]
  * Use promise calling convention for proper-lockfile 3+ (Closes: #986117)

  [ Xavier Guimard ]
  * Fix GitHub tags regex in watch file

 -- Paolo Greppi <paolo.greppi@libpf.com>  Mon, 14 Jun 2021 20:25:04 +0200

node-yarnpkg (1.22.10+~cs22.25.14-2) unstable; urgency=medium

  * Fix date and version in manpage
  * Fix uuid import so that it works with recent versions (Closes: #980775)
  * Depend on node-babel7-runtime rather than node-babel7

 -- Paolo Greppi <paolo.greppi@libpf.com>  Thu, 28 Jan 2021 11:42:25 +0100

node-yarnpkg (1.22.10+~cs22.25.14-1) unstable; urgency=medium

  * Team upload
  * Update tar-fs component to 2.1 and refactor watch file
    (Closes: #977781) Thanks to Akshay S Dinesh
  * New upstream version 1.22.10+~cs22.25.14

 -- Pirate Praveen <praveen@debian.org>  Tue, 22 Dec 2020 17:31:25 +0530

node-yarnpkg (1.22.10+~cs18.39.16-2) unstable; urgency=medium

  * Add packaged node modules path in webpack configuration
  * Add build dependencies required for webpack build
  * Add node-resolve as build dependency and update minimum version
  * List contents of node_modules in autopkgtest (expose failure)

 -- Pirate Praveen <praveen@debian.org>  Mon, 21 Dec 2020 00:34:20 +0530

node-yarnpkg (1.22.10+~cs18.39.16-1) unstable; urgency=medium

  * Team upload
  * Drop babel-plugin-transform-inline-imports-commonjs component
  * Switch to group and checksum options in watch file
  * New upstream version 1.22.10+~cs18.39.16
  * Refresh patches (remove parts no longer needed)
  * Add dependency on node-prepend-http and node-sort-keys (for normalize-url
    component)

 -- Pirate Praveen <praveen@debian.org>  Fri, 18 Dec 2020 17:50:36 +0530

node-yarnpkg (1.22.4-6) unstable; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * Drop node-babel-core and most of babel 6 build dependencies
    and build with babel 7 (gulp-babel/babel-loader 8.x)
  * Add back transform-inline-imports-commonjs to fix regression
   (Closes: #960120)
  * Add back node-babel-plugin-transform-strict-mode from babel 6

  [ Paolo Greppi ]
  * Avoid misleading error when webpack fails

  [ Xavier Guimard ]
  * Remove double build
  * Fix autopkgtest
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * Add fix for node-schema-utils ≥ 3

  [ Akshay S Dinesh ]
  * Remove optional dependency blocking babel-7 update (Closes: #960120)

  [ Pirate Praveen ]
  * Tighten dependency on node-request

  [ Akshay S Dinesh ]
  * feat: reimplement transform commonjs
  * Remove erroring update message function

 -- Pirate Praveen <praveen@debian.org>  Fri, 18 Dec 2020 15:32:39 +0530

node-yarnpkg (1.22.4-5) unstable; urgency=medium

  * Update autopkgtest to use 'yarnpkg add' in a clean project instead of
    'yarnpkg install' command in the source tree (this fixes autopkgtest
    failure with uuid 8.x because request module installed via yarnpkg is not
    compatible with uuid 8.x)
  * Replace node-node-uuid with node-uuid (Closes: #976155)

 -- Pirate Praveen <praveen@debian.org>  Tue, 08 Dec 2020 20:32:50 +0530

node-yarnpkg (1.22.4-4) unstable; urgency=medium

  * Use mkdirp-classing and bump minimum version of node-mkdirp
    (Closes: #973741)
  * Build using snapshot.debian.org at 20200502T085134Z chroot

 -- Pirate Praveen <praveen@debian.org>  Sun, 29 Nov 2020 01:16:23 +0530

node-yarnpkg (1.22.4-3) unstable; urgency=medium

  * Team upload
  * Embed gulp-babel 6.1.2 to allow updating node-babel7 (Closes: #958780)

 -- Pirate Praveen <praveen@debian.org>  Fri, 01 May 2020 23:10:45 +0530

## node-yarnpkg 1.22.10+~cs18.39.16

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,16 @@
 Section: javascript
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
  , gulp (>= 4)
- , node-babel-core
  , node-babel-eslint
- , node-babel-loader
- , node-babel-plugin-array-includes
- , node-babel-plugin-transform-builtin-extend
- , node-babel-plugin-transform-runtime
- , node-babel-preset-env
- , node-babel-preset-flow
- , node-babel-preset-stage-0
- , node-babylon
+ , node-babel-loader (>= 8.0~)
+ , node-babel7
  , node-browserify-zlib
  , node-builtin-modules
  , node-execa (>= 0.10.0)
  , node-fancy-log
- , node-gulp-babel
+ , node-gulp-babel (>= 8.0~)
  , node-gulp-newer
  , node-gulp-plumber
  , node-gulp-sourcemaps
@@ -29,14 +22,14 @@
  , node-marked-man
  , node-minimatch (>= 3.0.4)
  , node-pumpify
- , node-schema-utils (>= 1.0.0)
+ , node-schema-utils (>= 3.0.0)
  , node-temp (>= 0.8.3)
  , node-through2 (>= 2.0.3)
  , node-vinyl-fs (>= 3)
  , node-yargs
- , pkg-js-tools (>= 0.9.20~)
+ , dh-sequence-nodejs
  , webpack
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-yarnpkg
 Vcs-Git: https://salsa.debian.org/js-team/node-yarnpkg.git
 Homepage: https://github.com/yarnpkg/yarn
@@ -49,7 +42,7 @@
  ${misc:Depends}
  , ca-certificates
  , node-asap
- , node-babel-runtime (>= 6.26.0)
+ , node-babel7
  , node-bytes (>= 3.0.0)
  , node-camelcase (>= 4.0.0)
  , node-chalk (>= 2.1.0)
@@ -74,8 +67,8 @@
  , node-loud-rejection
  , node-micromatch
  , node-minimatch (>= 2.3.11)
- , node-mkdirp (>= 0.5.1)
- , node-node-uuid (>= 3.0.1)
+ , node-mkdirp (>= 1.0~)
+ , node-uuid (>= 3.0.1)
  , node-object-path
  , node-path-root
  , node-proper-lockfile
@@ -83,7 +76,7 @@
  , node-pump
  , node-pumpify
  , node-read (>= 1.0.7)
- , node-request (>= 2.87.0)
+ , node-request (>= 2.88.1-5~)
  , node-request-capture-har (>= 1.2.2)
  , node-resolve
  , node-rimraf (>= 2.5.0)
@@ -96,6 +89,9 @@
  , node-validate-npm-package-license
  , node-yn
  , nodejs
+# for embedded normalize-url
+ , node-prepend-http
+ , node-sort-keys
 Description: Fast, reliable and secure npm alternative
  Fast: Yarnpkg caches every package it has downloaded, so it never
  needs to download the same package again. It also does almost

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_auto_build:
 	find dnscache/ -print0 | xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
@@ -22,7 +22,6 @@
 	marked-man --version v1.19.0 --section 1 --manual 'yarnpkg man page' --date="$(SOURCE_DATE_EPOCH)" debian/yarnpkg.md > debian/yarnpkg.1
 	gulp build
 	node ./scripts/build-webpack.js
-	dh_auto_build --buildsystem=nodejs
 	rm -rf node_modules
 
 override_dh_fixperms:

=== debian/watch ===
version=4

opts=\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-yarn-$1.tar.gz/ \
 https://github.com/yarnpkg/yarn/tags .*/archive/v?([\d\.]+).tar.gz group

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=decode-uri-component" \
 https://registry.npmjs.org/decode-uri-component \
 https://registry.npmjs.org/decode-uri-component/-/decode-uri-component-(0(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=dnscache" \
 https://registry.npmjs.org/dnscache \
 https://registry.npmjs.org/dnscache/-/dnscache-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=gunzip-maybe" \
 https://registry.npmjs.org/gunzip-maybe \
 https://registry.npmjs.org/gunzip-maybe/-/gunzip-maybe-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=hash-for-dep" \
 https://registry.npmjs.org/hash-for-dep \
 https://registry.npmjs.org/hash-for-dep/-/hash-for-dep-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=is-deflate" \
 https://registry.npmjs.org/is-deflate \
 https://registry.npmjs.org/is-deflate/-/is-deflate-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=is-gzip" \
 https://registry.npmjs.org/is-gzip \
 https://registry.npmjs.org/is-gzip/-/is-gzip-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=normalize-url" \
 https://registry.npmjs.org/normalize-url \
 https://registry.npmjs.org/normalize-url/-/normalize-url-(2(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=npm-logical-tree" \
 https://registry.npmjs.org/npm-logical-tree \
 https://registry.npmjs.org/npm-logical-tree/-/npm-logical-tree-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checkum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=peek-stream" \
 https://registry.npmjs.org/peek-stream \
 https://registry.npmjs.org/peek-stream/-/peek-stream-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=query-string" \
 https://registry.npmjs.org/query-string \
 https://registry.npmjs.org/query-string/-/query-string-(5(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=resolve-package-path" \
 https://registry.npmjs.org/resolve-package-path \
 https://registry.npmjs.org/resolve-package-path/-/resolve-package-path-(\d[\d\.]*)@ARCHIVE_EXT@ ignore

opts="repack,compression=xz,searchmode=plain,pgpmode=none,component=string-replace-loader" \
 https://registry.npmjs.org/string-replace-loader \
 https://registry.npmjs.org/string-replace-loader/-/string-replace-loader-(2(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

## node-yarnpkg 1.22.10+~cs22.25.14

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,35 @@
  , node-yargs
  , dh-sequence-nodejs
  , webpack
+ , node-asap
+ , node-bytes (>= 3.0~)
+ , node-ci-info
+ , node-cli-table
+ , node-death
+ , node-deep-equal
+ , node-detect-indent
+ , node-emoji (>= 1.6.1)
+ , node-fast-levenshtein
+ , node-inquirer (>= 3.3~)
+ , node-invariant
+ , node-is-builtin-module (>= 2.0~)
+ , node-js-yaml (>= 3.13.1)
+ , node-loud-rejection
+ , node-object-path
+ , node-proper-lockfile
+ , node-puka
+ , node-read (>= 1.0.7)
+ , node-request (>= 2.88.1-5~)
+ , node-request-capture-har (>= 1.2.2)
+ , node-resolve (>= 1.19.0+~cs5.20.8~)
+ , node-tar-stream
+ , node-uuid (>= 3.0.1)
+ , node-yn
+# for embedded normalize-url
+ , node-prepend-http
+ , node-sort-keys
+# for embedded query-string
+ , node-strict-uri-encode
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-yarnpkg
 Vcs-Git: https://salsa.debian.org/js-team/node-yarnpkg.git
@@ -42,8 +71,8 @@
  ${misc:Depends}
  , ca-certificates
  , node-asap
- , node-babel7
- , node-bytes (>= 3.0.0)
+ , node-babel7-runtime
+ , node-bytes (>= 3.0~)
  , node-camelcase (>= 4.0.0)
  , node-chalk (>= 2.1.0)
  , node-chownr
@@ -60,15 +89,14 @@
  , node-glob (>= 7.1.1)
  , node-imports-loader
  , node-ini (>= 1.3.4)
- , node-inquirer (>= 3.3.0)
+ , node-inquirer (>= 3.3~)
  , node-invariant
- , node-is-builtin-module (>= 2.0.0)
+ , node-is-builtin-module (>= 2.0~)
  , node-js-yaml (>= 3.13.1)
  , node-loud-rejection
  , node-micromatch
  , node-minimatch (>= 2.3.11)
  , node-mkdirp (>= 1.0~)
- , node-uuid (>= 3.0.1)
  , node-object-path
  , node-path-root
  , node-proper-lockfile
@@ -78,7 +106,7 @@
  , node-read (>= 1.0.7)
  , node-request (>= 2.88.1-5~)
  , node-request-capture-har (>= 1.2.2)
- , node-resolve
+ , node-resolve (>= 1.19.0+~cs5.20.8~)
  , node-rimraf (>= 2.5.0)
  , node-semver (>= 5.1.0)
  , node-ssri
@@ -86,12 +114,15 @@
  , node-strip-ansi (>= 4.0.0)
  , node-strip-bom
  , node-tar-stream
+ , node-uuid (>= 3.0.1)
  , node-validate-npm-package-license
  , node-yn
  , nodejs
 # for embedded normalize-url
  , node-prepend-http
  , node-sort-keys
+# for embedded query-string
+ , node-strict-uri-encode
 Description: Fast, reliable and secure npm alternative
  Fast: Yarnpkg caches every package it has downloaded, so it never
  needs to download the same package again. It also does almost

=== debian/tests/control ===
Tests: yarn
Depends: @
Restrictions: allow-stderr, needs-internet

=== debian/watch ===
version=4

opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-yarn-$1.tar.gz/ \
 https://github.com/yarnpkg/yarn/tags .*/archive/.*/v?([\d\.]+).tar.gz group

opts="searchmode=plain,ctype=nodejs,component=dnscache,pgpmode=none" \
 https://registry.npmjs.org/dnscache \
 https://registry.npmjs.org/dnscache/-/dnscache-(1[\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,ctype=nodejs,component=gunzip-maybe,pgpmode=none" \
 https://registry.npmjs.org/gunzip-maybe \
 https://registry.npmjs.org/gunzip-maybe/-/gunzip-maybe-(1[\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,ctype=nodejs,component=hash-for-dep,pgpmode=none" \
 https://registry.npmjs.org/hash-for-dep \
 https://registry.npmjs.org/hash-for-dep/-/hash-for-dep-(1[\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,ctype=nodejs,component=normalize-url,pgpmode=none" \
 https://registry.npmjs.org/normalize-url \
 https://registry.npmjs.org/normalize-url/-/normalize-url-(2[\d\.]+)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,ctype=nodejs,component=npm-logical-tree,pgpmode=none" \
 https://registry.npmjs.org/npm-logical-tree \
 https://registry.npmjs.org/npm-logical-tree/-/npm-logical-tree-(1[\d\.]+)@ARCHIVE_EXT@ checkum

opts="searchmode=plain,ctype=nodejs,component=string-replace-loader,pgpmode=none" \
 https://registry.npmjs.org/string-replace-loader \
 https://registry.npmjs.org/string-replace-loader/-/string-replace-loader-(2[\d\.]+)@ARCHIVE_EXT@ checksum

# we cannot use ctype=nodejs here as we need a newer version than mentioned package.json
opts="searchmode=plain,pgpmode=none,component=tar-fs" \
 https://registry.npmjs.org/tar-fs \
 https://registry.npmjs.org/tar-fs/-/tar-fs-(2(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

opts="searchmode=plain,ctype=nodejs,component=v8-compile-cache,pgpmode=none,\
" \
 https://registry.npmjs.org/v8-compile-cache \
 https://registry.npmjs.org/v8-compile-cache/-/v8-compile-cache-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=mkdirp-classic,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-mkdirp-classic-$1.tar.gz/ \
 https://github.com/mafintosh/mkdirp-classic/tags .*/archive/.*/v?([\d\.]+).tar.gz checksum

# dependency of another component, normalize-url so ctype=nodejs won't work
opts="searchmode=plain,pgpmode=none,component=query-string" \
 https://registry.npmjs.org/query-string \
 https://registry.npmjs.org/query-string/-/query-string-(5(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

# dependency of another component, gunzip-maybe so ctype=nodejs won't work
opts="searchmode=plain,pgpmode=none,component=is-deflate" \
 https://registry.npmjs.org/is-deflate \
 https://registry.npmjs.org/is-deflate/-/is-deflate-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum

# dependency of another component, gunzip-maybe so ctype=nodejs won't work
opts="searchmode=plain,pgpmode=none,component=is-gzip" \
 https://registry.npmjs.org/is-gzip \
 https://registry.npmjs.org/is-gzip/-/is-gzip-(1(?:.[\d\.]+)?)@ARCHIVE_EXT@ checksum
